%define anolis_release 1
%global pypi_name adaseq
%global pypi_version 0.6.6

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        All-in-One Library for Developing State-of-the-Art Sequence Understanding Models

License:        Apache License 2.0
URL:            https://github.com/modelscope/adaseq
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
AdaSeq (Alibaba Damo Academy Sequence Understanding Toolkit) is an easy-to-use all-in-one 
library, built on ModelScope, that allows researchers and developers to train custom models 
for sequence understanding tasks, including part-of-speech tagging (POS Tagging), chunking, 
named entity recognition (NER), entity typing, relation extraction (RE), etc.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
AdaSeq (Alibaba Damo Academy Sequence Understanding Toolkit) is an easy-to-use all-in-one 
library, built on ModelScope, that allows researchers and developers to train custom models 
for sequence understanding tasks, including part-of-speech tagging (POS Tagging), chunking, 
named entity recognition (NER), entity typing, relation extraction (RE), etc.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/adaseq
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.6.6-1
- Initial package.